#
# spec file for package python-sane
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-sane
Version:        2.9.1
Release:        2.1
Summary:        A Python interface to the SANE scanner and frame grabber interface
License:        NTP
Group:          Development/Languages/Python
URL:            https://github.com/python-pillow/Sane
Source:         https://github.com/python-pillow/Sane/archive/v%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  sane-backends-devel
%python_subpackages

%description
The SANE module provides an interface to the SANE scanner and frame grabber interface for Linux.  This module has been split out from Pillow since version 2.7.0.

%prep
%setup -q -n Sane-%{version}

%build
export CFLAGS="%{optflags}"
%pyproject_wheel

%install
%pyproject_install

%python_expand %fdupes %{buildroot}%{$python_sitearch}/

%files %{python_files}
%doc README.rst CHANGES.rst
%license COPYING
%{python_sitearch}/sane.py
%pycache_only %{python_sitearch}/__pycache__/sane*
%{python_sitearch}/python_sane-%{version}*-info
%{python_sitearch}/_sane.cpython*

%changelog
* Thu Jun 12 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Sun May  9 2021 Dirk Müller <dmueller@suse.com>
- update to 2.9.1:
  - Fix compatibility with python3.6+
  - Removed support for Python 2
  - Add a progress parameter for the snap, arr_snap, scan and arr_scan methods.
  - Catch exceptions returned by self.device.snap
  - Add __next__ to _SaneIterator for Python 3
* Thu May 10 2018 toddrme2178@gmail.com
- Don't forget python-rpm-macros
* Wed Dec 20 2017 badshah400@gmail.com
- Update to version 2.8.3:
  * _sane.c: Don't call sane_close on handle if sane_exit was
    called since.
  * Documentation:
  - Fix example and documentation to reflect actual arr_snap
    array shape.
  - Fix various typos.
- Run fdupes to link up duplicate files.
* Fri Nov 11 2016 badshah400@gmail.com
- Initial package.
